Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
gcal
/
install
Install Google Calendar
curl --request GET \
  --url https://api.trillet.ai/v1/api/gcal/install \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "url": "https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=...&state=..."
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Query Parameters

pathwayId
string
required
The call flow pathway ID to connect Google Calendar to.

Response Fields

url
string
The Google OAuth authorization URL. Redirect the user to this URL to authorize the connection.
{
  "url": "https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=...&state=..."
}